Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17021

Description

On QGIS master in Windows I have the issue that the selected rows

(when I select the features in the map) in the table are not salient

enough. They appear with a very similar light gray background as every odd row.

This means I cannot easily distinguish an odd row from a selected row.

See this screenshot here:

http://webgis.uster.ch/temp/selected_rows_picked_from_map.png

This is only an issue with the Windows version, not on Ubuntu/KDE,

where these selected rows appear in light blue.

When one scrolls in the table, the selected rows turn into blue.

Associated revisions

Revision 173e1d72 - 2014-01-13 10:28 PM - Matthias Kuhn

[attrtable] Force default selection color (regardless of window focus)

Fix #8205

History

#1 - 2013-07-01 09:50 AM - Matthias Kuhn

- Status changed from Open to Closed

It seems that the colors change, when the (attribute table) window get or looses focus. It therefore is not a QGIS issue, but rather a windows (or Qt)

color-theme issue. Go to e.g. the layer properties => fields and select a row in the table. If you give the focus to another window the selection color will also

turn gray.

Definitely not a problem from our kitchen, so I'll close this.

If a workaround for this should be implemented (e.g. override default color palette on windows) this should be reopened as a feature request.

#2 - 2013-07-01 11:48 PM - Andreas Neumann

This is too bad.

It really is a problem in day to day work. It is the part of the core of the GIS work to have table and map side be side and browse in the map and table and
see where things are located and what values they have.

Is there nothing we can do? E.g. set the background style/color even if the window with the table does not have the focus?

#3 - 2014-01-13 03:56 AM - Matthias Kuhn

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Status changed from Closed to Reopened

Reopened due to demand on mailing list.

#4 - 2014-01-13 04:26 AM - Matthias Kuhn

Can a windows user give a try to https://github.com/qgis/QGIS/pull/1069

I was coding it pretty much in the dark

#5 - 2014-01-13 04:58 AM - Andreas Neumann

Sorry - I don't have a dev environment on Windows. If you put it into master I could test it with the next nightly tomorrow.

Thanks,

Andreas

#6 - 2014-01-13 01:29 PM - Matthias Kuhn

- Status changed from Reopened to Closed

Fixed in changeset commit:"173e1d72a668fcf26366fc64052ed664fefe059b".
